﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="ProgressEventArgs.cs" company="CodePlex">
//   Copyright © CodePlex 2012
// </copyright>
// <summary>
//   Defines the ProgressEventArgs type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace DataFrameworkGenerator
{
    using System;

    /// <summary>
    /// Event argument class for Progress during the generation cycle.
    /// </summary>
    public class ProgressEventArgs : EventArgs
    {
        /// <summary>
        /// Gets or sets the current position.
        /// </summary>
        /// <value>The current position.</value>
        public int CurrentPosition { get; set; }

        /// <summary>
        /// Gets or sets the total positions.
        /// </summary>
        /// <value>The total positions.</value>
        public int TotalPositions { get; set; }
    }
}